# 环境配置
server:
  port: 9022
  servlet:
    context-path: /api/longyou

# condition
spel:
  scheduling: true        # 定时任务是否执行
  multiSource: false      # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: mu123
    url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect

# dingtalk
dingtalk:
  agentId: 2753454778
  appKey: dingenx3hbv3cyniukvm
  appSecret: OhFtEw-Uys4K1uAW9oAVRULPl91rNZgjqG2nXzhfcRdvVA4_AK9aDBMqzDcMW1-i
  corpId: dingc6aaf57b32e5f80cffe93478753d9884
  aesKey:
  token:
  robotCode:
  operator: "0953580166-1416321485"   #  ]

# aliwork
aliwork:
  appType: APP_I45JU7MQMRRVZ472GS1U
  systemToken: TG766XB110HDPKPV6HMGMC2IGEOM2STS67KLLS8